Package org.apache.groovy.ginq

# Class InvalidOptionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.codehaus.groovy.GroovyException
org.apache.groovy.ginq.InvalidOptionException

All Implemented Interfaces:
  `Serializable`, `GroovyExceptionInterface`

public class InvalidOptionException extends GroovyException
Represents invalid options, e.g. unsupported options

Since:
  4.0.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InvalidOptionException(String message)`

- ## Method Summary

  ### Methods inherited from class org.codehaus.groovy.GroovyException

  `isFatal, setFatal`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InvalidOptionException

    public InvalidOptionException(String message)